#include<lpc21xx.h>

void main()
{
IO0DIR=0x0000000F;
IO1DIR=0X00000000;
PINSEL0=0;

while(1)
{

if((IO1PIN&0X00010000)==0X00010000)
	{
     IO0CLR=0XFFFFFFFF;
	IOSET0=0X00000004;
	}

else if((IO1PIN&0x00020000)==0x00020000)
	{
	IO0CLR=0XFFFFFFFF;
	IO0SET=0X00000008;
	}

else if((IO1PIN&0X00040000)==0X00040000)
	{
	IO0CLR=0XFFFFFFFF;
	}
	}  
	}
	
